Loading...
Searching...
No Matches
juce::Grid::TrackInfo Struct Referencefinal

## Detailed Description

Represents a track.

The documentation for this struct was generated from the following file:

- juce_gui_basics/layout/juce_Grid.h

## Public Member Functions

| TrackInfo () noexcept
| Creates a track with auto dimension.
| TrackInfo (Px sizeInPixels) noexcept
| TrackInfo (Fr fractionOfFreeSpace) noexcept
| TrackInfo (Px sizeInPixels, const String &endLineNameToUse) noexcept
| TrackInfo (Fr fractionOfFreeSpace, const String &endLineNameToUse) noexcept
| TrackInfo (const String &startLineNameToUse, Px sizeInPixels) noexcept
| TrackInfo (const String &startLineNameToUse, Fr fractionOfFreeSpace) noexcept
| TrackInfo (const String &startLineNameToUse, Px sizeInPixels, const String &endLineNameToUse) noexcept
| TrackInfo (const String &startLineNameToUse, Fr fractionOfFreeSpace, const String &endLineNameToUse) noexcept
bool | isAuto () const noexcept
bool | isFractional () const noexcept
bool | isPixels () const noexcept
const String & | getStartLineName () const noexcept
const String & | getEndLineName () const noexcept
float | getSize () const noexcept
| Get the track's size - which might mean an absolute pixels value or a fractional ratio.

## Constructors and Destructors

## TrackInfo() [1/9]

juce::Grid::TrackInfo::TrackInfo | ( |  | ) |

noexcept

Creates a track with auto dimension.

Referenced by TrackInfo(), TrackInfo(), TrackInfo(), TrackInfo(), TrackInfo(), TrackInfo(), TrackInfo(), and TrackInfo().

## TrackInfo() [2/9]

juce::Grid::TrackInfo::TrackInfo | ( | Px | sizeInPixels | ) |

noexcept

References TrackInfo().

## TrackInfo() [3/9]

juce::Grid::TrackInfo::TrackInfo | ( | Fr | fractionOfFreeSpace | ) |

noexcept

References TrackInfo().

## TrackInfo() [4/9]

juce::Grid::TrackInfo::TrackInfo | ( | Px | sizeInPixels,
|  | const String & | endLineNameToUse )

noexcept

References TrackInfo().

## TrackInfo() [5/9]

juce::Grid::TrackInfo::TrackInfo | ( | Fr | fractionOfFreeSpace,
|  | const String & | endLineNameToUse )

noexcept

References TrackInfo().

## TrackInfo() [6/9]

juce::Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Px | sizeInPixels )

noexcept

References TrackInfo().

## TrackInfo() [7/9]

juce::Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Fr | fractionOfFreeSpace )

noexcept

References TrackInfo().

## TrackInfo() [8/9]

juce::Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Px | sizeInPixels,
|  | const String & | endLineNameToUse )

noexcept

References TrackInfo().

## TrackInfo() [9/9]

juce::Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Fr | fractionOfFreeSpace,
|  | const String & | endLineNameToUse )

noexcept

References TrackInfo().

## Member Functions

## isAuto()

bool juce::Grid::TrackInfo::isAuto | ( |  | ) | const

inline noexcept

References isAuto().

Referenced by isAuto().

## isFractional()

bool juce::Grid::TrackInfo::isFractional | ( |  | ) | const

inline noexcept

## isPixels()

bool juce::Grid::TrackInfo::isPixels | ( |  | ) | const

inline noexcept

## getStartLineName()

const String & juce::Grid::TrackInfo::getStartLineName | ( |  | ) | const

inline noexcept

## getEndLineName()

const String & juce::Grid::TrackInfo::getEndLineName | ( |  | ) | const

inline noexcept

## getSize()

float juce::Grid::TrackInfo::getSize | ( |  | ) | const

inline noexcept

Get the track's size - which might mean an absolute pixels value or a fractional ratio.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited